Summary:	PaX aware and related utilities for ELF binaries
Name:		pax-utils
Version:	1.3.8
Release:	%mkrel 2
Group:		Development/C
License:	GPLv2
URL:		https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
Source0:	https://gitweb.gentoo.org/proj/pax-utils.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	xmlto
BuildRequires:	pkgconfig(libcap)

# for /usr/bin/lddtree
Requires:	python3dist(pyelftools)

%description
pax-utils is a small set of various PaX aware and related utilities for
ELF binaries. It was written for ELF Q/A on Gentoo systems but can be
used on any distro.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

# python shebangs
%py3_shebang_fix %{buildroot}%{_bindir}/lddtree

%files
%doc BUGS README.md TODO
%license COPYING
%{_bindir}/dumpelf
%{_bindir}/lddtree
%{_bindir}/pspax
%{_bindir}/scanelf
%{_bindir}/scanmacho
%{_bindir}/symtree
%{_mandir}/man1/dumpelf.1*
%{_mandir}/man1/pspax.1*
%{_mandir}/man1/scanelf.1*
%{_mandir}/man1/scanmacho.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.3.8-2.mga10
+ Revision: 2230455
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 daviddavid <daviddavid> 1.3.8-1.mga10
+ Revision: 2119856
- new version: 1.3.8

* Mon Sep 30 2024 daviddavid <daviddavid> 1.3.7-2.mga10
+ Revision: 2102037
- fiw python shebangs command

* Sun Oct 29 2023 daviddavid <daviddavid> 1.3.7-1.mga10
+ Revision: 2002661
- new version: 1.3.7

* Wed Dec 14 2022 daviddavid <daviddavid> 1.3.5-1.mga9
+ Revision: 1921966
- new version: 1.3.5

* Tue Mar 15 2022 umeabot <umeabot> 1.3.3-2.mga9
+ Revision: 1793613
- Mageia 9 Mass Rebuild

* Fri Aug 06 2021 luigiwalser <luigiwalser> 1.3.3-1.mga9
+ Revision: 1739830
- 1.3.3

* Sun Jun 20 2021 joequant <joequant> 1.3.1-1.mga9
+ Revision: 1731430
- update to 1.3.1

* Wed Mar 10 2021 daviddavid <daviddavid> 1.2.9-1.mga9
+ Revision: 1701093
- new version: 1.2.9

* Sat Dec 26 2020 daviddavid <daviddavid> 1.2.8-1.mga8
+ Revision: 1663854
- new version: 1.2.8

* Wed Apr 22 2020 daviddavid <daviddavid> 1.2.6-1.mga8
+ Revision: 1570795
- new version: 1.2.6

* Wed Mar 04 2020 daviddavid <daviddavid> 1.2.4-4.mga8
+ Revision: 1553668
- fix a typo in files list
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Wed Oct 16 2019 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1454001
- switch to python 3

* Thu Feb 07 2019 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1363757
- new version: 1.2.4

* Sat Dec 01 2018 daviddavid <daviddavid> 1.2.3-1.mga7
+ Revision: 1337010
- new version: 1.2.3
- remove merged upstream patches

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-4.mga7
+ Revision: 1300130
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 akien <akien> 1.2.2-3.mga7
+ Revision: 1156077
- Add dependency on pyelftools for python-based lddtree (mga#21744)

* Sun Sep 17 2017 cjw <cjw> 1.2.2-2.mga7
+ Revision: 1154916
- setup compile flags to fix debug packages

* Thu Apr 27 2017 neoclust <neoclust> 1.2.2-1.mga6
+ Revision: 1097813
- New version 1.2.2+git patches (mga#17320)

* Wed Feb 03 2016 umeabot <umeabot> 0.8.1-4.mga6
+ Revision: 933567
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 745462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 683358
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 0.8.1-1.mga5
+ Revision: 672617
- new release

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 508906
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 362477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 tv <tv> 0.2.1-1.mga3
+ Revision: 275351
- imported package pax-utils


* Sat Jul 28 2012 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-1.mga3
- initial release
